com.dlsc.flexgantt.swing

## Class TreePathMessage

- java.lang.Object
- - com.dlsc.flexgantt.swing.Message
  - - com.dlsc.flexgantt.swing.TreePathMessage

- All Implemented Interfaces:
    IMessage, ITreePathMessage

      public class TreePathMessage
      extends Message
      implements ITreePathMessage

  A tree path message is used when the cause of the message is a node in the tree table on the left-hand side of the Gantt chart. The addition of the path information allows the user interface to take the user to the message source.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `Message`, `TimelineObjectPathMessage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreePathMessage(MessageTypeId id, String text, Date time, TreePath path)` Constructs a new message.
    `TreePathMessage(MessageTypeId id, String text, Object details, Date time, TreePath path)` Constructs a new message.
    `TreePathMessage(MessageTypeId id, String text, Object details, TreePath path)` Constructs a new message.
    `TreePathMessage(MessageTypeId id, String text, TreePath path)` Constructs a new message.
    `TreePathMessage(String text, Object details, TreePath path)` Constructs a new error message.
    `TreePathMessage(String text, TreePath path)` Constructs a new information message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TreePath` | `getTreePath()` Returns the tree path associated with the message.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.Message

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.dlsc.flexgantt.swing.IMessage

      `getMessageDetails, getMessageText, getMessageTime, getMessageTypeId`

- - ### Constructor Detail

    - #### TreePathMessage

          public TreePathMessage(MessageTypeId id,
                                 String text,
                                 Object details,
                                 Date time,
                                 TreePath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `time` - a message time stamp
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

    - #### TreePathMessage

          public TreePathMessage(MessageTypeId id,
                                 String text,
                                 Date time,
                                 TreePath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `time` - a message time stamp
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

    - #### TreePathMessage

          public TreePathMessage(MessageTypeId id,
                                 String text,
                                 Object details,
                                 TreePath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

    - #### TreePathMessage

          public TreePathMessage(MessageTypeId id,
                                 String text,
                                 TreePath path)

      Constructs a new message.
      Parameters:
        `id` - a message type identifier used to distinguish between plain information messages or warning and error messages
        `text` - the message that will be shown to the user
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

    - #### TreePathMessage

          public TreePathMessage(String text,
                                 Object details,
                                 TreePath path)

      Constructs a new error message.
      Parameters:
        `text` - the message that will be shown to the user
        `details` - an object storing additional information about the cause of the message
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

    - #### TreePathMessage

          public TreePathMessage(String text,
                                 TreePath path)

      Constructs a new information message.
      Parameters:
        `text` - the message that will be shown to the user
        `path` - a tree path pointing to the source of the message
      Since:
        1.0
      See Also:
        `Message`, `TimelineObjectPathMessage`

  - ### Method Detail

    - #### getTreePath

          public TreePath getTreePath()

      Description copied from interface: `ITreePathMessage`
      Returns the tree path associated with the message. The path allows the use interface to direct the user to the source of the message or to the object described/referenced in the message.
      Specified by:
        `getTreePath` in interface `ITreePathMessage`
      Returns:
        the message tree path

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.